# Contributing

Contributions are welcomed and do not have to be perfect. We help you to get there. Do not hesitate!

## Feature Requests and Feedback

We would like to hear about your propositions and suggestions. Feel free to submit them as issues here on GitHub:

- Describe your use case.
- Explain in detail how they are supposed to work.

Please note that we do not intend to replace `virsh`.

## Report Bugs

Report bugs in the [issue tracker](https://github.com/aahlenst/virtomate/issues).

If you are reporting a bug, please include:

- Your operating system name and version, for example, _Debian GNU/Linux 12_.
- The hardware architecture of your machine, for example, _x86-64_.
- The output of `virtomate -version`, for example, `0.1.0`.
- How you installed Virtomate, for example, `pipx install virtomate`.
- Run the failing operation with `--log debug`, for example, `virtomate --log debug domain-list`, and attach the complete output to the issue.

It would be terrific if you could provide a list of steps to reproduce the problem or a failing test case, even if you cannot fix the bug yourself.

## Pull Requests

Before preparing a pull request, please consider the following rules:

- **We do not accept pull requests created or facilitated by "AI assistants" like GitHub Copilot or JetBrains AI Assistant**.
- Please do not create pull requests for dependency updates.
- Propose your idea on the [issue tracker](https://github.com/aahlenst/virtomate/issues) before putting considerable effort into it.
